using System;
using System.Collections.Generic;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CfChart
{
    /// <summary>
    /// ͼ
    /// </summary>
    /// <remarks>ͼĻۣܴʵ</remarks>
    public abstract partial class Chart : UserControl
    {
        private List<Series> _series;

        /// <summary>
        /// ϵ
        /// </summary>
        /// <remarks>״ͼֶ֧ϵ</remarks>
        public List<Series> DataSeries
        {
            get { return _series; }
            set { _series = value; }
        }

        /// <summary>
        /// ǷָЧ
        /// </summary>
        protected bool HasData
        {
            get
            {
                if (this._series == null) return false;
                if (this._series.Count == 0) return false;
                if (this._series[0].Serials.Count == 0) return false;
                return true;
            }
        }

        /// <summary>
        /// GDI+ ͼͼ
        /// </summary>
        protected Graphics graphics;

        protected override void OnPaint(PaintEventArgs e)
        {
            if (!this.HasData)
            {
                return;
            }

            this.SetColorForData();

            using (this.graphics = CreateGraphics())
            {
                SuspendLayout();
                this.DrawChart();
                this.DrawLegend();
                ResumeLayout(false);
            }

            this.graphics.Dispose();
        }

        /// <summary>
        /// ͼ
        /// </summary>
        protected virtual void DrawChart()
        {
        }

        /// <summary>
        /// ͼ
        /// </summary>
        protected virtual void DrawLegend()
        {
        }

        /// <summary>
        /// ɫ
        /// </summary>
        protected virtual void SetColorForData()
        {
        }
    }
}
