﻿using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using CfChart;

namespace ChartTest
{
    public partial class LineChartSample : Form
    {
        public LineChartSample()
        {
            InitializeComponent();

            List<Series> series = new List<Series>();

            Series s = new Series();
            s.Label = "预期";
            s.Serials.Add(new Serial(40, "第一季度"));
            s.Serials.Add(new Serial(15, "第二季度"));
            s.Serials.Add(new Serial(25, "第三季度"));
            s.Serials.Add(new Serial(20, "第四季度"));
            series.Add(s);

            s = new Series();
            s.Label = "实际";
            s.Serials.Add(new Serial(4000, "第一季度"));
            s.Serials.Add(new Serial(2500, "第二季度"));
            s.Serials.Add(new Serial(1500, "第三季度"));
            s.Serials.Add(new Serial(2000, "第四季度"));
            series.Add(s);

            this.ucLineChart.DataSeries = series;
        }
    }
}